List Templates
curl --request GET \
--url https://api.veryfront.com/templatesimport requests
url = "https://api.veryfront.com/templates"
response = requests.get(url)
print(response.text)const options = {method: 'GET'};
fetch('https://api.veryfront.com/templates', options)
.then(res => res.json())
.then(res => console.log(res))
.catch(err => console.error(err));
{
"data": [
{
"id": "<string>",
"slug": "<string>",
"name": "<string>",
"config": {
"description": "<string>",
"category": "<string>",
"preview_url": "<string>"
},
"coming_soon": true,
"created_at": "<string>",
"updated_at": "<string>"
}
],
"page_info": {
"self": "<string>",
"first": null,
"next": "<string>",
"prev": "<string>"
}
}Returns available project templates with support for filtering, sorting, and search.
GET
/
templates
List Templates
Query Parameters
Search term to filter templates by name or slug
Example:
"landing"
Filter by use case/category (e.g., "Store", "Landing")
Example:
"Store"
Deprecated. Use sort_by and sort_order. Sort field and direction in format "field:ASC" or "field:DESC". Valid fields: name, slug, createdAt, updatedAt.
Example:
"name:ASC"
Sort field. Defaults to "name".
Available options:
name, slug, created_at, updated_at Sort order. Defaults to "asc".
Available options:
asc, desc Cursor for pagination (template ID)
Maximum number of entries to return. Defaults to 20 and is capped at 100.
Required range:
1 <= x <= 100Exclude the blank template from results
Available options:
true, false Example:
"true"